# How to Set Up X-KeyPad with the Zibo B738


## Introduction

Welcome to this guide on setting up X-KeyPad with the Zibo B738 for X-Plane. This guide assumes basic familiarity with X-Plane, your operating system, and the Zibo B738 aircraft.

---

## Respect the effort

I’ve put considerable time and effort into creating this profile, including the images, logic, and configurations. I kindly ask that you **do not redistribute** any part of this profile, including its images or the logic behind the Stream Deck keys. However, feel free to customize and tweak the profile for your own personal use.

If you’ve found this profile helpful and would like to support my work, please buy me a coffee (or tea, I love tea). A donation button is on the Stream Deck, or you can go [here](https://link.passengerflying.com/ko-fi). Thanks!

Thank you for respecting my work.

---

## 1. Buy and Download X-KeyPad

1. Purchase **X-KeyPad** from the [X-Plane.org store](https://link.passengerflying.com/lj4o4m) or another authorized retailer.  
   ![Purchase Example](doc/images/x-plane-org-buy-xkeypad.png)
2. Download the plugin to your computer. 
   ![Download Example](doc/images/x-plane-org-download-xkeypad.png)

> ⚠ **Note:** The serial number shown in images is not real. 😏

---

## 2. Download the Zibo B738 Profile

1. Go to the **files section** of the [X-Plane.org forum](https://link.passengerflying.com/IPD06N).
2. Download the **B738 Stream Deck profile** for use with X-KeyPad.

---

## 3. Install the X-KeyPad Plugin

1. Locate the ZIP file you downloaded from the store.
2. Extract the ZIP file to your computer.  
   ![Extract ZIP](doc/images/finder-xkeypad.png)
3. Find your **X-Plane installation folder**:
   - **For Steam:**  
     - Right-click X-Plane in Steam, select *Properties* > *Installed Files*, then click *Browse...*.  
       ![Steam Path](doc/images/steam-x-plane11-installed-files.png)
   - **For Direct Download:** Use the installation path you selected.
4. Inside the X-Plane folder, go to `Resources/plugins`.
5. Copy the extracted **X-KeyPad** folder into the `plugins` folder.  
   ![Plugin Folder](doc/images/finder-x-plane-11-plugins.png)

---

### Quarantine Fix on macOS

> ⚠️ **Important for macOS Users:** Downloaded software is quarantined by default on macOS. To fix this:  
1. Open the **Terminal** app (found in Applications > Utilities).
2. Enter the following command:  
   `bash sudo xattr -r -d com.apple.quarantine <your X-Plane folder>`

   Replace `<your X-Plane folder>` with the actual path to your X-Plane installation.

This step is not required on Windows.

---

## 4. Install the Stream Deck Plugin

1. Open the **X-KeyPad** plugin folder.
2. Locate the `SD-plugin` folder.
3. Double-click the Stream Deck plugin file to install it.  
   ![Install SD Plugin](doc/images/finder-xkeypad-sd-plugin.png)

---

## 5. Load the Zibo B738 and configure X-KeyPad

1. Start X-Plane (version 11 or 12) and load the **Zibo B738** at any airport.
2. X-KeyPad will automatically create an empty configuration file for the Stream Deck in the aircraft folder.
3. Go to the menu:  
   **X-KeyPad** > **Stream Deck Configuration Editor**.  
   ![Configuration Editor](doc/images/SCR-20230801-tbic.png)

4. In the configuration editor window:
   - Choose **Append** to import a new profile (overwrites existing keys).
   - Optionally, choose **Selected Append** to import only selected keys.  
     ![Append Configuration](doc/images/SCR-20230801-tavn.png)

5. Ensure the JSON profile file `X-KeyPad-SD_b738.json` is located somewhere in your X-Plane folder.

---

## 6. Install the Stream Deck Profile

1. Double-click the Stream Deck profile file from the downloaded ZIP.
2. For smaller Stream Decks, experiment with layouts or manually add keys using X-KeyPad's configuration screen.

---

## 7. Final Steps and Customization

1. You're now set up! Start flying and enjoy the convenience of your Stream Deck integration.
2. If desired, customize profiles or add new keys using the X-KeyPad editor.

### Need Help?

You're done now. You don't have to edit anything in any of the profiles, unless you want to.
If you have any questions or issues, feel free to reach out:  

sander@passengerflying.com

January 20, 2025
